package com.red.circle.other.app.inner.service.sys;

import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.model.cmd.sys.SysCpCabinConfigQryCmd;
import com.red.circle.other.inner.model.dto.sys.SysCpCabinConfigDTO;

/**
 * CP小屋配置
 *
 * @author zongpubin on 2024/1/29
 */
public interface SysCpCabinConfigClientService {

  PageResult<SysCpCabinConfigDTO> getCpCabin(SysCpCabinConfigQryCmd query);

  void addCpCabin(SysCpCabinConfigDTO param);

  void removeCpCabin(Long id);

  void updateCpCabin(SysCpCabinConfigDTO param);
}
